//*****************************************************************************
//
// Имя файла    : 'drvplugin.h'
// Описание     : Интерфейс плагинов драйверов ввода-вывода
// Автор        : Межлумов В.Ш.
//
//*****************************************************************************
#pragma once

#include "io/driver.h"

// ============================================================================
//                                  Константы
// ============================================================================

    #define PLG_DRIVER_IFACE_ID         "com.application.plugin.IPlgDriver/1.0"


// ============================================================================
//                                  IPlgDriver
// ============================================================================

class IPlgDriver
{
    public:
        virtual ~IPlgDriver () {}
        virtual CDriver* GetDriver (void) = 0;
};

Q_DECLARE_INTERFACE(IPlgDriver, PLG_DRIVER_IFACE_ID)
